orm

## Interface ORMConstants

All Superinterfaces:
  org.orm.util.ORMBaseConstants

    public interface ORMConstants
    extends org.orm.util.ORMBaseConstants

### Field Summary

Fields
`static int` `KEY_ACTIVIDAD_ASIGNATURA_ID_FK`
`static int` `KEY_ANOTACION_ESTUDIANTE_ID_FK`
`static int` `KEY_ANOTACION_PROFESOR_ID_FK`
`static int` `KEY_APODERADO_COLEGIO_ID_FK`
`static int` `KEY_APODERADO_ESTUDIANTE`
`static int` `KEY_ASIGNATURA_ACTIVIDAD`
`static int` `KEY_ASIGNATURA_CURSO_ID_FK`
`static int` `KEY_ASIGNATURA_NOTA`
`static int` `KEY_ASIGNATURA_PROFESOR_ID_FK`
`static int` `KEY_ASISTENCIA_ESTUDIANTE_ID_FK`
`static int` `KEY_COLEGIO_APODERADO`
`static int` `KEY_COLEGIO_CURSO`
`static int` `KEY_COLEGIO_PROFESOR`
`static int` `KEY_CURSO_ASIGNATURA`
`static int` `KEY_CURSO_COLEGIO_ID_FK`
`static int` `KEY_CURSO_ESTUDIANTE`
`static int` `KEY_ESTUDIANTE_ANOTACION`
`static int` `KEY_ESTUDIANTE_APODERADO_ID_FK`
`static int` `KEY_ESTUDIANTE_ASISTENCIA`
`static int` `KEY_ESTUDIANTE_CURSO_ID_FK`
`static int` `KEY_ESTUDIANTE_NOTA`
`static int` `KEY_NOTA_ASIGNATURA_ID_FK`
`static int` `KEY_NOTA_ESTUDIANTE_ID_FK`
`static int` `KEY_PROFESOR_ANOTACION`
`static int` `KEY_PROFESOR_ASIGNATURA`
`static int` `KEY_PROFESOR_COLEGIO_ID_FK`

### Fields inherited from interface org.orm.util.ORMBaseConstants

`KEY_MUL_MANY_TO_MANY, KEY_MUL_ONE_TO_MANY`

### Field Detail

#### KEY_ACTIVIDAD_ASIGNATURA_ID_FK

    static final int KEY_ACTIVIDAD_ASIGNATURA_ID_FK

See Also:
  Constant Field Values

#### KEY_ANOTACION_ESTUDIANTE_ID_FK

    static final int KEY_ANOTACION_ESTUDIANTE_ID_FK

See Also:
  Constant Field Values

#### KEY_ANOTACION_PROFESOR_ID_FK

    static final int KEY_ANOTACION_PROFESOR_ID_FK

See Also:
  Constant Field Values

#### KEY_APODERADO_COLEGIO_ID_FK

    static final int KEY_APODERADO_COLEGIO_ID_FK

See Also:
  Constant Field Values

#### KEY_APODERADO_ESTUDIANTE

    static final int KEY_APODERADO_ESTUDIANTE

See Also:
  Constant Field Values

#### KEY_ASIGNATURA_ACTIVIDAD

    static final int KEY_ASIGNATURA_ACTIVIDAD

See Also:
  Constant Field Values

#### KEY_ASIGNATURA_CURSO_ID_FK

    static final int KEY_ASIGNATURA_CURSO_ID_FK

See Also:
  Constant Field Values

#### KEY_ASIGNATURA_NOTA

    static final int KEY_ASIGNATURA_NOTA

See Also:
  Constant Field Values

#### KEY_ASIGNATURA_PROFESOR_ID_FK

    static final int KEY_ASIGNATURA_PROFESOR_ID_FK

See Also:
  Constant Field Values

#### KEY_ASISTENCIA_ESTUDIANTE_ID_FK

    static final int KEY_ASISTENCIA_ESTUDIANTE_ID_FK

See Also:
  Constant Field Values

#### KEY_COLEGIO_APODERADO

    static final int KEY_COLEGIO_APODERADO

See Also:
  Constant Field Values

#### KEY_COLEGIO_CURSO

    static final int KEY_COLEGIO_CURSO

See Also:
  Constant Field Values

#### KEY_COLEGIO_PROFESOR

    static final int KEY_COLEGIO_PROFESOR

See Also:
  Constant Field Values

#### KEY_CURSO_ASIGNATURA

    static final int KEY_CURSO_ASIGNATURA

See Also:
  Constant Field Values

#### KEY_CURSO_COLEGIO_ID_FK

    static final int KEY_CURSO_COLEGIO_ID_FK

See Also:
  Constant Field Values

#### KEY_CURSO_ESTUDIANTE

    static final int KEY_CURSO_ESTUDIANTE

See Also:
  Constant Field Values

#### KEY_ESTUDIANTE_ANOTACION

    static final int KEY_ESTUDIANTE_ANOTACION

See Also:
  Constant Field Values

#### KEY_ESTUDIANTE_APODERADO_ID_FK

    static final int KEY_ESTUDIANTE_APODERADO_ID_FK

See Also:
  Constant Field Values

#### KEY_ESTUDIANTE_ASISTENCIA

    static final int KEY_ESTUDIANTE_ASISTENCIA

See Also:
  Constant Field Values

#### KEY_ESTUDIANTE_CURSO_ID_FK

    static final int KEY_ESTUDIANTE_CURSO_ID_FK

See Also:
  Constant Field Values

#### KEY_ESTUDIANTE_NOTA

    static final int KEY_ESTUDIANTE_NOTA

See Also:
  Constant Field Values

#### KEY_NOTA_ASIGNATURA_ID_FK

    static final int KEY_NOTA_ASIGNATURA_ID_FK

See Also:
  Constant Field Values

#### KEY_NOTA_ESTUDIANTE_ID_FK

    static final int KEY_NOTA_ESTUDIANTE_ID_FK

See Also:
  Constant Field Values

#### KEY_PROFESOR_ANOTACION

    static final int KEY_PROFESOR_ANOTACION

See Also:
  Constant Field Values

#### KEY_PROFESOR_ASIGNATURA

    static final int KEY_PROFESOR_ASIGNATURA

See Also:
  Constant Field Values

#### KEY_PROFESOR_COLEGIO_ID_FK

    static final int KEY_PROFESOR_COLEGIO_ID_FK

See Also:
  Constant Field Values